SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE SCHEMA IF NOT EXISTS `ContasSchema` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci ;
USE `ContasDB` ;

-- -----------------------------------------------------
-- Table `ContasSchema`.`Contas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ContasSchema`.`Contas` (
  `idContas` INT NOT NULL AUTO_INCREMENT,
  `idProduto` INT NOT NULL,
  `Valor` FLOAT NOT NULL,
  `DB` CHAR(1) NOT NULL,
  `idPertence` INT NOT NULL,
  `Saldo` FLOAT NULL,
  PRIMARY KEY (`idContas`))
ENGINE = InnoDB DEFAULT CHARSET=latin1 COLLATE latin1_swedish_ci;


-- -----------------------------------------------------
-- Table `ContasSchema`.`Produto`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ContasSchema`.`Produto` (
  `idProduto` INT NOT NULL AUTO_INCREMENT,
  `Produto` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idProduto`),
  CONSTRAINT `fk_Produto_Contas`
    FOREIGN KEY (`idProduto`)
    REFERENCES `ContasSchema`.`Contas` (`idProduto`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB DEFAULT CHARSET=latin1 COLLATE latin1_swedish_ci;


-- -----------------------------------------------------
-- Table `ContasSchema`.`Pertence`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ContasSchema`.`Pertence` (
  `idPertence` INT NOT NULL AUTO_INCREMENT,
  `Nome` CHAR(30) NULL,
  PRIMARY KEY (`idPertence`),
  UNIQUE INDEX `idPertence_UNIQUE` (`idPertence` ASC),
  CONSTRAINT `fk_Pertence_Contas1`
    FOREIGN KEY (`idPertence`)
    REFERENCES `ContasSchema`.`Contas` (`idPertence`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB DEFAULT CHARSET=latin1 COLLATE latin1_swedish_ci;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
